Error while updating property 'uri' of a view managed by ExponentVideo


#1

the code
<Video
source={{ uri: ‘http://d23dyxeqlo5psv.cloudfront.net/big_buck_bunny.mp4’ }}
rate={1.0}
volume={1.0}
isMuted={false}
resizeMode="cover"
shouldPlay
isLooping
useNativeControls={true}
style={{ width: ‘100%’, height: ‘100%’ }}
/>

gets the error

Error while updating property uri of a view managed by ExponentVideo
null
Failed resolution of: Lcom/google/android/exoplayer/trackselection/AdaptiveVideoTrackSelection$Factory;

Didn’t find class
"com.google.android.exoplayer2.trackselection.AdaptiveVideoTrackSelection$Factory" on path: DexPathList[[zip the “/data/app/com.x.app.y-1/base.apk”], nativeLibraryDirectories=[/data/app/com.x.app.y-1/lib/arm, /data/app/com.x.app.y-1/base.apk!/lib/armeabi-v7a, /system/lib, /vendor/lib]]

How solve it?


#2

Hi @fausto - I just tried copying and pasting your code into a snack and it worked fine for me (though I did have to change and to ' - maybe verify your editor is not auto-replacing single quotes with the “left” and “right” single quotes?)

Could you provide us with more information about your environment - e.g. which Expo sdkVersion are you using, which client app version, and what device are you running it on? And if this snack https://snack.expo.io/S1jVkIlYz doesn’t reproduce the error for you, could you provide one that does, and maybe open a github issue here for it?

Thanks!


#3

hi @esamelson
it was working for me as well. It stopped… any idea what could happened?

expo 23.0.0
exp 49.2.2
react-native-cli 2.0.1
react-native 0.50.3
npm 4.6.1


Always when run a cleanup the project crashes
#4

@esamelson it happened after run

watchman watch-del-all
rm -rf node_modules && npm install
rm -fr $TMPDIR/react-*
npm start – --reset-cache

think it update some packages without asking. my expo is detached…


#5

@esamelson send me ur env versions pls


#6

Hi @fausto - I made that example on snack, not my local environment.

Could you try removing your node_modules again and using yarn to install rather than npm? That will give you more predictable version numbers.

If that doesn’t work, you may need to un-detach your project and re-detach, as it looks like something got screwed up on the native Android side. Note that you’ll have to rerun react-native link for all of the third-party modules you have installed as well, so I’d definitely suggest version controlling before doing this step.


#7

Will try to move to a newer expo version (25.0.0).


closed #8

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.